package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmcls;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CecmclsMapper {

    int insert(Cecmcls record);

    int insertSelective(Cecmcls record);

    int updateByPrimaryKeySelective(Cecmcls record);

    int updateByPrimaryKey(Cecmcls record);

    int deleteByPrimaryKey(Cecmcls record);

    int deleteByIds(Collection<Object> collection);

    Cecmcls selectByPrimaryKey(Cecmcls record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmcls> dyncRead(Map<String, Object> dyncMap);

    Cecmcls selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}